Commit e97860d4 authored by David Trudgian's avatar David Trudgian
Browse files

Fix travis PYTHON_VERSION env

parent 99ba22df
...@@ -12,9 +12,3 @@ install: ...@@ -12,9 +12,3 @@ install:
- pip install flake8 pytest pytest-cov pytest-flake8 python-coveralls - pip install flake8 pytest pytest-cov pytest-flake8 python-coveralls
script: script:
- build_scripts/travis_tests.sh - build_scripts/travis_tests.sh
after_success:
- coveralls -b $TRAVIS_BUILD_DIR
#!/bin/bash #!/bin/bash
echo "Running tests that don't need Clair"
pytest tests/ -v -m "not needs_clair" --cov clair_singularity --cov-report term-missing
echo "Running setup.py install" echo "Running setup.py install"
python setup.py install python setup.py install
if [[ $PYTHON_VERSION == "3.5"* ]]; then echo "Running tests that don't need Clair"
pytest tests/ -v -m "not needs_clair" --cov clair_singularity --cov-report term-missing
if [[ $TRAVIS_PYTHON_VERSION == "3.5"* ]]; then
echo "Python 3.5 - running docker tests with Clair" echo "Python 3.5 - running docker tests with Clair"
docker pull arminc/clair-db:2017-08-21 docker pull arminc/clair-db:2017-08-21
docker run -d --name db arminc/clair-db:2017-08-21 docker run -d --name db arminc/clair-db:2017-08-21
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment